Bug 126098 - Diff for confusing worded man page
Summary: Diff for confusing worded man page
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: findutils   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-16 00:56 UTC by Mike MacCana
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: 4.1.20-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-25 15:21:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes ambiguity in man page (558 bytes, patch)
2004-06-16 00:57 UTC, Mike MacCana
no flags Details | Diff

Description Mike MacCana 2004-06-16 00:56:18 UTC
Description of problem:
The man page for the find command is confusingly worded. Extract:

-size n[bckw]
              File uses n units of space.  The units are  512-byte 
blocks  by default or if âbâ follows n, bytes if âcâ follows n,
kilobytes if âkâ follows n ...

This is a little confusing - its possible the sentence could mean "if
b follows n then this will show bytes", which isn't correct. Some
brackets would clear up the ambiguity:

-size n[bckw]
              File uses n units of space.  The units are  512-byte 
blocks  by default (or if âbâ follows n), bytes if âcâ follows n,
kilobytes if âkâ follows n ...


Version-Release number of selected component (if applicable):
4.1.7-9

How reproducible:
Always

Steps to Reproduce:
1.man find
2.search for block options
  
Actual results:
Man page is confusing

Expected results:
It should be less so

Additional info:
Diff attached.

Comment 1 Mike MacCana 2004-06-16 00:57:42 UTC
Created attachment 101179 [details]
Fixes ambiguity in man page

Comment 2 Tim Waugh 2004-06-25 15:21:03 UTC
Thank you!  Yes, I agree with your interpretation, although I had to
read it out loud a couple of times!

I've built this as findutils-4.1.20-1 in Fedora development, and it
will be included in a future release of Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.